com.aliyun.svideosdk.common.struct.project

## Class PhotoPasterTrack

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.PasterTrack
    - - com.aliyun.svideosdk.common.struct.project.PhotoPasterTrack

- Direct Known Subclasses:
    CaptionTrack, GifPasterTrack, SubTitleTrack

      public class PhotoPasterTrack
      extends PasterTrack

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.PasterTrack

      `PasterTrack.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `mNodeKey` the template node key

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhotoPasterTrack()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ActionBase>` | `getActions()` Gets the action animation list
    `java.util.List<Frame>` | `getFrameArray()`
    `float` | `getHeight()` Gets the height of this paster relative to the video.
    `java.lang.String` | `getName()` Gets the Paste resource name.
    `java.lang.String` | `getNodeKey()`
    `float` | `getRotation()` Gets the rotation angle of this paster.
    `Source` | `getSource()` Gets the paster resource.
    `java.util.List<FrameTime>` | `getTimeArray()` Gets the timestamps.
    `float` | `getTimelineIn()` Gets the time when the clip appears on the stream timeline.
    `float` | `getTimelineOut()` Gets the time when the clip disappears on the stream timeline.
    `float` | `getWidth()` Gets the width of this paster relative to the video.
    `float` | `getX()` Gets the x coordinate of the centroid of this paster relative to the screen resolution.
    `float` | `getY()` The y coordinate of the centroid of this paster relative to the screen resolution.
    `boolean` | `isMirror()` Gets Whether this paster is flipped.
    `void` | `setFrameArray(java.util.List<Frame> frameArray)` Sets the frames of this sticker.
    `void` | `setHeight(float height)` Sets the height of this paster relative to the video.
    `void` | `setMirror(boolean mirror)` Sets Whether this paster is flipped.
    `void` | `setName(java.lang.String name)` Sets the Paste resource name.
    `void` | `setNodeKey(java.lang.String key)`
    `void` | `setRotation(float rotation)` Sets the rotation angle of this paster.
    `void` | `setSource(Source source)` Sets the paster resource.
    `void` | `setTimeArray(java.util.List<FrameTime> timeArray)` Sets the timestamps.
    `void` | `setTimelineIn(float timelineIn)` The time when the clip appears on the stream timeline.
    `void` | `setTimelineOut(float timelineOut)` Sets the time when the clip disappears on the stream timeline.
    `void` | `setWidth(float width)` Sets the width of this paster relative to the video.
    `void` | `setX(float x)` Sets the x coordinate of the centroid of this paster relative to the screen resolution.
    `void` | `setY(float y)` Sets the y coordinate of the centroid of this paster relative to the screen resolution.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.PasterTrack

      `getType, setType`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mNodeKey

          protected java.lang.String mNodeKey

      the template node key

  - ### Constructor Detail

    - #### PhotoPasterTrack

          public PhotoPasterTrack()

  - ### Method Detail

    - #### getX

          public float getX()

      Gets the x coordinate of the centroid of this paster relative to the screen resolution.
      Returns:
        x coordinate

    - #### setX

          public void setX(float x)

      Sets the x coordinate of the centroid of this paster relative to the screen resolution.
      Parameters:
        `x` - x coordinate

    - #### getY

          public float getY()

      The y coordinate of the centroid of this paster relative to the screen resolution.
      Returns:
        y coordinate

    - #### setY

          public void setY(float y)

      Sets the y coordinate of the centroid of this paster relative to the screen resolution.
      Parameters:
        `y` - y coordinate

    - #### getWidth

          public float getWidth()

      Gets the width of this paster relative to the video.
      Returns:
        width

    - #### setWidth

          public void setWidth(float width)

      Sets the width of this paster relative to the video.
      Parameters:
        `width` - width

    - #### getHeight

          public float getHeight()

      Gets the height of this paster relative to the video.
      Returns:
        height

    - #### setHeight

          public void setHeight(float height)

      Sets the height of this paster relative to the video.
      Parameters:
        `height` - height

    - #### getRotation

          public float getRotation()

      Gets the rotation angle of this paster.
      Returns:
        rotation

    - #### setRotation

          public void setRotation(float rotation)

      Sets the rotation angle of this paster.
      Parameters:
        `rotation` - rotation

    - #### isMirror

          public boolean isMirror()

      Gets Whether this paster is flipped.
      Returns:
        is mirror

    - #### setMirror

          public void setMirror(boolean mirror)

      Sets Whether this paster is flipped.
      Parameters:
        `mirror` - is mirror

    - #### getTimelineIn

          public float getTimelineIn()

      Gets the time when the clip appears on the stream timeline. Unit: second.
      Returns:
        time

    - #### setTimelineIn

          public void setTimelineIn(float timelineIn)

      The time when the clip appears on the stream timeline. Unit: second.
      Parameters:
        `timelineIn` - timeline in

    - #### getTimelineOut

          public float getTimelineOut()

      Gets the time when the clip disappears on the stream timeline. Unit: second.
      Returns:
        timeline out

    - #### setTimelineOut

          public void setTimelineOut(float timelineOut)

      Sets the time when the clip disappears on the stream timeline. Unit: second.
      Parameters:
        `timelineOut` - timeline out

    - #### getSource

          public Source getSource()

      Gets the paster resource.
      Returns:
        resource

    - #### setSource

          public void setSource(Source source)

      Sets the paster resource.
      Parameters:
        `source` - resource

    - #### getActions

          public java.util.List<ActionBase> getActions()

      Gets the action animation list
      Returns:
        action animation list

    - #### getFrameArray

          public java.util.List<Frame> getFrameArray()

    - #### setFrameArray

          public void setFrameArray(java.util.List<Frame> frameArray)

      Sets the frames of this sticker.
      Parameters:
        `frameArray` - frames

    - #### getTimeArray

          public java.util.List<FrameTime> getTimeArray()

      Gets the timestamps.
      Returns:
        timestamps

    - #### setTimeArray

          public void setTimeArray(java.util.List<FrameTime> timeArray)

      Sets the timestamps.
      Parameters:
        `timeArray` - timestamps

    - #### getName

          public java.lang.String getName()

      Gets the Paste resource name.
      Returns:
        name

    - #### setName

          public void setName(java.lang.String name)

      Sets the Paste resource name.
      Parameters:
        `name` - resource name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getNodeKey

          public java.lang.String getNodeKey()

    - #### setNodeKey

          public void setNodeKey(java.lang.String key)